package com.mdd.admin.validate.config;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import javax.validation.constraints.NotNull;

@ApiModel("更新客户端域名参数")
public class ConfigUpdateValidate implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("license")
   private @NotNull(
   message = "license不能为空"
) String license;
   @ApiModelProperty("服务器模板ID")
   private @NotNull(
   message = "服务器模板ID不能为空"
) Integer serverTemplateId;
   @ApiModelProperty("域名")
   private @NotNull(
   message = "域名不能为空"
) String domain;
   @ApiModelProperty("模板类别")
   private Integer category;

   public @NotNull(
   message = "license不能为空"
) String getLicense() {
      return this.license;
   }

   public @NotNull(
   message = "服务器模板ID不能为空"
) Integer getServerTemplateId() {
      return this.serverTemplateId;
   }

   public @NotNull(
   message = "域名不能为空"
) String getDomain() {
      return this.domain;
   }

   public Integer getCategory() {
      return this.category;
   }

   public void setLicense(@NotNull(
   message = "license不能为空"
) String license) {
      this.license = license;
   }

   public void setServerTemplateId(@NotNull(
   message = "服务器模板ID不能为空"
) Integer serverTemplateId) {
      this.serverTemplateId = serverTemplateId;
   }

   public void setDomain(@NotNull(
   message = "域名不能为空"
) String domain) {
      this.domain = domain;
   }

   public void setCategory(Integer category) {
      this.category = category;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof ConfigUpdateValidate)) {
         return false;
      } else {
         ConfigUpdateValidate other = (ConfigUpdateValidate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label59: {
               Object this$serverTemplateId = this.getServerTemplateId();
               Object other$serverTemplateId = other.getServerTemplateId();
               if (this$serverTemplateId == null) {
                  if (other$serverTemplateId == null) {
                     break label59;
                  }
               } else if (this$serverTemplateId.equals(other$serverTemplateId)) {
                  break label59;
               }

               return false;
            }

            Object this$category = this.getCategory();
            Object other$category = other.getCategory();
            if (this$category == null) {
               if (other$category != null) {
                  return false;
               }
            } else if (!this$category.equals(other$category)) {
               return false;
            }

            Object this$license = this.getLicense();
            Object other$license = other.getLicense();
            if (this$license == null) {
               if (other$license != null) {
                  return false;
               }
            } else if (!this$license.equals(other$license)) {
               return false;
            }

            Object this$domain = this.getDomain();
            Object other$domain = other.getDomain();
            if (this$domain == null) {
               if (other$domain != null) {
                  return false;
               }
            } else if (!this$domain.equals(other$domain)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof ConfigUpdateValidate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $serverTemplateId = this.getServerTemplateId();
      result = result * 59 + ($serverTemplateId == null ? 43 : $serverTemplateId.hashCode());
      Object $category = this.getCategory();
      result = result * 59 + ($category == null ? 43 : $category.hashCode());
      Object $license = this.getLicense();
      result = result * 59 + ($license == null ? 43 : $license.hashCode());
      Object $domain = this.getDomain();
      result = result * 59 + ($domain == null ? 43 : $domain.hashCode());
      return result;
   }

   public String toString() {
      return "ConfigUpdateValidate(license=" + this.getLicense() + ", serverTemplateId=" + this.getServerTemplateId() + ", domain=" + this.getDomain() + ", category=" + this.getCategory() + ")";
   }
}
